<?
include("../fnc.php");
enlinea_a();

switch($tipo_trn){
  case "Send":
          switch($txttipousr)    {
             case "todos":
              
              $qalm=mysql_query("select * from alumnos where grado_estudio > 0");
              $qadm=mysql_query("select * from usuarios where (admin = 'S' or catedratico = 'S')");
              $qpad=mysql_query("select * from alumnos where grado_estudio > 0");
              $cnt=0;
              
              while($infou=mysql_fetch_array($qalm)){
                $cnt++;
                $ins="insert into msg_mensajes
                      set 
                      para_usuario = '{$infou[carnet]}',
                      asunto='$txtasunto',
                      mensaje='$txtmensaje',
                      fecha='$fechahora',
                      leido='N',
                      tipo_usr='Alumno',
                      de='$uuser',
                      de_tipo='Ad',
                      padre='N'";
                      $qins=mysql_query($ins);
                      
              }
              
              while($infou=mysql_fetch_array($qadm)){
                $cnt++;
                $ins="insert into msg_mensajes
                      set 
                      para_usuario = '{$infou[usuario]}',
                      asunto='$txtasunto',
                      mensaje='$txtmensaje',
                      fecha='$fechahora',
                      leido='N',
                      tipo_usr='Admin',
                      de='$uuser',
                      de_tipo='Ad',
                      padre='N'";
                      $qins=mysql_query($ins);
              }
              
              
              while($infou=mysql_fetch_array($qpad)){
                $cnt++;
                $ins="insert into msg_mensajes
                      set 
                      para_usuario = '{$infou[carnet]}',
                      asunto='$txtasunto',
                      mensaje='$txtmensaje',
                      fecha='$fechahora',
                      leido='N',
                      tipo_usr='Admin',
                      de='$uuser',
                      de_tipo='Ad',
                      padre='S'";
                      //echo $ins;
                      $qins=mysql_query($ins);
              }
              
              //echo "tipo usurio: $txttipousr<br>";
              //echo "grado: $txtgrado<br>";
              //echo "sección: $txtseccion<br>";
              
              alert("Mensaje PRIVADO se envió a $cnt usuario(s)","frm_msg_envio.php");
             break;
             
             case "administrador":
              $qadm=mysql_query("select * from usuarios where admin = 'S'");
              
              while($infou=mysql_fetch_array($qadm)){
                $ins="insert into msg_mensajes
                      set 
                      para_usuario = '{$infou[carnet]}',
                      asunto='$txtasunto',
                      mensaje='$txtmensaje',
                      fecha='$fechahora',
                      leido='N',
                      tipo_usr='Admin',
                      de='$uuser',
                      de_tipo='Ad',
                      padre='N'";
                      $qins=mysql_query($ins);
                      
              }
             break;
             
             case "catedratico":
             
             if($txtgrado=="todos"){
               $qadm=mysql_query("select * from usuarios where catedratico = 'S'");
             }else{
               if($txtseccion=="todas"){
               $qadm=mysql_query("select distinct usuario, nombre 
                                  from usuarios inner join cursos_catedraticos ca ON usuarios.usuario = ca.catedratico
                                  where ca.grado = $txtgrado");
               }else{
                $qadm=mysql_query("select distinct  usuario, nombre 
                                  from usuarios inner join cursos_catedraticos ca ON usuarios.usuario = ca.catedratico
                                  where ca.grado = '$txtgrado'
                                  and seccion = '$txtseccion'");
               }        
             }
             
             $cnt=0;
             while($infou=mysql_fetch_array($qadm)){
                $cnt++;
                $ins="insert into msg_mensajes
                      set 
                      para_usuario = '{$infou[usuario]}',
                      asunto='$txtasunto',
                      mensaje='$txtmensaje',
                      fecha='$fechahora',
                      leido='N',
                      tipo_usr='Admin',
                      de='$uuser',
                      de_tipo='Ad',
                      padre='N'";
                      $qins=mysql_query($ins);
             }
              
             alert("Su mensaje PRIVADO se envió a $cnt usuario(s)","frm_msg_envio.php");
             break;
             
             case "alumno":
             
             if($txtgrado=="todos"){
               $qadm=mysql_query("select * from alumnos where year_estudio > 0");
             }else{
               if($txtseccion=="todas"){
               $qadm=mysql_query("select carnet, nombre, apellido
                                  from alumnos 
                                  where grado_estudio = $txtgrado");
               }else{
                $qadm=mysql_query("select carnet, nombre, apellido
                                   from alumnos 
                                   where grado_estudio = '$txtgrado'
                                   and seccion = '$txtseccion'");
               }        
             }
              
              $cnt=0;
              while($infou=mysql_fetch_array($qadm)){
                $cnt++;
                $ins="insert into msg_mensajes
                      set 
                      para_usuario = '{$infou[carnet]}',
                      asunto='$txtasunto',
                      mensaje='$txtmensaje',
                      fecha='$fechahora',
                      leido='N',
                      tipo_usr='Admin',
                      de='$uuser',
                      de_tipo='Ad',
                      padre='N'";
                      $qins=mysql_query($ins);
              }
              
              alert("Su mensaje PRIVADO se envió a $cnt usuario(s)","frm_msg_envio.php");
             break;
             
             case "padre":
             if($txtgrado=="todos"){
               $qadm=mysql_query("select * from alumnos where year_estudio > 0");
             }else{
               if($txtseccion=="todas"){
               $qadm=mysql_query("select carnet, nombre, apellido
                                  from alumnos 
                                  where grado_estudio = $txtgrado");
               }else{
                $qadm=mysql_query("select carnet, nombre, apellido
                                   from alumnos 
                                   where grado_estudio = '$txtgrado'
                                   and seccion = '$txtseccion'");
               }        
             }
              
              $cnt=0;
              while($infou=mysql_fetch_array($qadm)){
                $cnt++;
                $ins="insert into msg_mensajes
                      set 
                      para_usuario = '{$infou[carnet]}',
                      asunto='$txtasunto',
                      mensaje='$txtmensaje',
                      fecha='$fechahora',
                      leido='N',
                      tipo_usr='Admin',
                      de='$uuser',
                      de_tipo='Ad',
                      padre='S'";
                      $qins=mysql_query($ins);
              }
              
              alert("Su mensaje PRIVADO se envió a $cnt usuario(s)","frm_msg_envio.php");
             break;   
          }
  break;
  
  //default:
  
}
?>
